Ipopt 3.12.10

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Protected Member Functions | Private Attributes | List of all members
MittelmannDistCntrlNeumA2 Class Reference

Class implementating Example 5. More...

`#include <MittelmannDistCntrlNeumA.hpp>`

Inheritance diagram for MittelmannDistCntrlNeumA2:
[legend]

## Public Member Functions
| MittelmannDistCntrlNeumA2 ()
virtual | ~MittelmannDistCntrlNeumA2 ()
virtual bool | InitializeProblem (Index N)
| Initialize internal parameters, where N is a parameter determining the problme size. More...
Public Member Functions inherited from MittelmannDistCntrlNeumABase
| MittelmannDistCntrlNeumABase ()
| Constructor. More...
virtual | ~MittelmannDistCntrlNeumABase ()
| Default destructor. More...
virtual bool | get_scaling_parameters (Number &obj_scaling, bool &use_x_scaling, Index n, Number *x_scaling, bool &use_g_scaling, Index m, Number *g_scaling)
| Method for returning scaling parameters. More...
virtual bool | get_nlp_info (Index &n, Index &m, Index &nnz_jac_g, Index &nnz_h_lag, IndexStyleEnum &index_style)
| Method to return some info about the nlp. More...
virtual bool | get_bounds_info (Index n, Number *x_l, Number *x_u, Index m, Number *g_l, Number *g_u)
| Method to return the bounds for my problem. More...
virtual bool | get_starting_point (Index n, bool init_x, Number *x, bool init_z, Number *z_L, Number *z_U, Index m, bool init_lambda, Number *lambda)
| Method to return the starting point for the algorithm. More...
virtual bool | eval_f (Index n, const Number *x, bool new_x, Number &obj_value)
| Method to return the objective value. More...
virtual bool | eval_grad_f (Index n, const Number *x, bool new_x, Number *grad_f)
| Method to return the gradient of the objective. More...
virtual bool | eval_g (Index n, const Number *x, bool new_x, Index m, Number *g)
| Method to return the constraint residuals. More...
virtual bool | eval_jac_g (Index n, const Number *x, bool new_x, Index m, Index nele_jac, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the jacobian (if "values" is NULL) 2) The values of the jacobian (if "values" is not NULL) More...
virtual bool | eval_h (Index n, const Number *x, bool new_x, Number obj_factor, Index m, const Number *lambda, bool new_lambda, Index nele_hess, Index *iRow, Index *jCol, Number *values)
| Method to return: 1) The structure of the hessian of the lagrangian (if "values" is NULL) 2) The values of the hessian of the lagrangian (if "values" is not NULL) More...
virtual void | finalize_solution (SolverReturn status, Index n, const Number *x, const Number *z_L, const Number *z_U, Index m, const Number *g, const Number *lambda, Number obj_value, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| This method is called after the optimization, and could write an output file with the optimal profiles. More...
Public Member Functions inherited from Ipopt::TNLP
| DECLARE_STD_EXCEPTION (INVALID_TNLP)
| TNLP ()
virtual | ~TNLP ()
| Default destructor. More...
virtual void | finalize_metadata (Index n, const StringMetaDataMapType &var_string_md, const IntegerMetaDataMapType &var_integer_md, const NumericMetaDataMapType &var_numeric_md, Index m, const StringMetaDataMapType &con_string_md, const IntegerMetaDataMapType &con_integer_md, const NumericMetaDataMapType &con_numeric_md)
| This method is called just before finalize_solution. More...
virtual bool | intermediate_callback (AlgorithmMode mode, Index iter, Number obj_value, Number inf_pr, Number inf_du, Number mu, Number d_norm, Number regularization_size, Number alpha_du, Number alpha_pr, Index ls_trials, const IpoptData *ip_data, IpoptCalculatedQuantities *ip_cq)
| Intermediate Callback method for the user. More...
virtual Index | get_number_of_nonlinear_variables ()
virtual bool | get_list_of_nonlinear_variables (Index num_nonlin_vars, Index *pos_nonlin_vars)
virtual bool | get_var_con_metadata (Index n, StringMetaDataMapType &var_string_md, IntegerMetaDataMapType &var_integer_md, NumericMetaDataMapType &var_numeric_md, Index m, StringMetaDataMapType &con_string_md, IntegerMetaDataMapType &con_integer_md, NumericMetaDataMapType &con_numeric_md)
| overload this method to return any meta data for the variables and the constraints More...
virtual bool | get_variables_linearity (Index n, LinearityType *var_types)
| overload this method to return the variables linearity (TNLP::LINEAR or TNLP::NON_LINEAR). More...
virtual bool | get_constraints_linearity (Index m, LinearityType *const_types)
| overload this method to return the constraint linearity. More...
virtual bool | get_warm_start_iterate (IteratesVector &warm_start_iterate)
| overload this method to provide an Ipopt iterate (already in the form Ipopt requires it internally) for a warm start. More...
Public Member Functions inherited from Ipopt::ReferencedObject
| ReferencedObject ()
virtual | ~ReferencedObject ()
Index | ReferenceCount () const
void | AddRef (const Referencer *referencer) const
void | ReleaseRef (const Referencer *referencer) const

## Protected Member Functions
virtual Number | y_d_cont (Number x1, Number x2) const
| Target profile function for y. More...
virtual Number | fint_cont (Number x1, Number x2, Number y, Number u) const
| Integrant in objective function. More...
virtual Number | fint_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dydy_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dudu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | fint_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of fint_cont w.r.t. More...
virtual bool | fint_cont_dydu_alwayszero () const
| returns true if second partial derivative of fint_cont w.r.t. More...
virtual Number | d_cont (Number x1, Number x2, Number y, Number u) const
| Forcing function for the elliptic equation. More...
virtual Number | d_cont_dy (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t. More...
virtual Number | d_cont_du (Number x1, Number x2, Number y, Number u) const
| First partial derivative of forcing function w.r.t. More...
virtual Number | d_cont_dydy (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t y,y. More...
virtual bool | d_cont_dydy_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t. More...
virtual Number | d_cont_dudu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t. More...
virtual bool | d_cont_dudu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t. More...
virtual Number | d_cont_dydu (Number x1, Number x2, Number y, Number u) const
| Second partial derivative of forcing function w.r.t. More...
virtual bool | d_cont_dydu_alwayszero () const
| returns true if second partial derivative of d_cont w.r.t. More...
Protected Member Functions inherited from MittelmannDistCntrlNeumABase
void | SetBaseParameters (Index N, Number lb_y, Number ub_y, Number lb_u, Number ub_u, Number b_0j, Number b_1j, Number b_i0, Number b_i1, Number u_init)
| Method for setting the internal parameters that define the problem. More...

## Private Member Functions
hide implicitly defined contructors copy operators
| MittelmannDistCntrlNeumA2 (const MittelmannDistCntrlNeumA2 &)
MittelmannDistCntrlNeumA2 & | operator= (const MittelmannDistCntrlNeumA2 &)

## Private Attributes
const Number | pi_
| Value of pi (made available for convenience) More...

## Additional Inherited Members
Public Types inherited from Ipopt::TNLP
enum | LinearityType { LINEAR, NON_LINEAR }
| Type of the constraints. More...
enum | IndexStyleEnum { C_STYLE =0, FORTRAN_STYLE =1 }
| overload this method to return the number of variables and constraints, and the number of non-zeros in the jacobian and the hessian. More...
typedef std::map< std::string, std::vector< std::string > > | StringMetaDataMapType
typedef std::map< std::string, std::vector< Index > > | IntegerMetaDataMapType
typedef std::map< std::string, std::vector< Number > > | NumericMetaDataMapType

## Detailed Description

Class implementating Example 5.

Definition at line 412 of file MittelmannDistCntrlNeumA.hpp.

## Constructor & Destructor Documentation

MittelmannDistCntrlNeumA2::MittelmannDistCntrlNeumA2 | ( |  | ) |
| inline

Definition at line 415 of file MittelmannDistCntrlNeumA.hpp.

virtual MittelmannDistCntrlNeumA2::~MittelmannDistCntrlNeumA2 | ( |  | ) |
| inline virtual

Definition at line 420 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA2::MittelmannDistCntrlNeumA2 | ( | const MittelmannDistCntrlNeumA2 & |  | ) |
| private

## Member Function Documentation

virtual bool MittelmannDistCntrlNeumA2::InitializeProblem | ( | Index | N | ) |
| inline virtual

Initialize internal parameters, where N is a parameter determining the problme size.

This returns false, if N has an invalid value.

Implements RegisteredTNLP.

Definition at line 423 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::y_d_cont | ( | Number | x1,
|  | Number | x2
| ) |  | const
| inline protected virtual

Target profile function for y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 444 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Integrant in objective function.

Implements MittelmannDistCntrlNeumABase.

Definition at line 449 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

First partial derivative of fint_cont w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 455 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

First partial derivative of fint_cont w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 461 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of fint_cont w.r.t.

y,y

Implements MittelmannDistCntrlNeumABase.

Definition at line 466 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dydy_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of fint_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 472 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of fint_cont w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 477 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dudu_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of fint_cont w.r.t.

u,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 483 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::fint_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of fint_cont w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 488 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::fint_cont_dydu_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of fint_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 494 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Forcing function for the elliptic equation.

Implements MittelmannDistCntrlNeumABase.

Definition at line 499 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

First partial derivative of forcing function w.r.t.

y

Implements MittelmannDistCntrlNeumABase.

Definition at line 504 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_du | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

First partial derivative of forcing function w.r.t.

u

Implements MittelmannDistCntrlNeumABase.

Definition at line 509 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dydy | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of forcing function w.r.t y,y.

Implements MittelmannDistCntrlNeumABase.

Definition at line 514 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dydy_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 520 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dudu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of forcing function w.r.t.

u,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 525 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dudu_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of d_cont w.r.t.

y,y is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 531 of file MittelmannDistCntrlNeumA.hpp.

virtual Number MittelmannDistCntrlNeumA2::d_cont_dydu | ( | Number | x1,
|  | Number | x2,
|  | Number | y,
|  | Number | u
| ) |  | const
| inline protected virtual

Second partial derivative of forcing function w.r.t.

y,u

Implements MittelmannDistCntrlNeumABase.

Definition at line 536 of file MittelmannDistCntrlNeumA.hpp.

virtual bool MittelmannDistCntrlNeumA2::d_cont_dydu_alwayszero | ( |  | ) | const
| inline protected virtual

returns true if second partial derivative of d_cont w.r.t.

y,u is always zero.

Implements MittelmannDistCntrlNeumABase.

Definition at line 542 of file MittelmannDistCntrlNeumA.hpp.

MittelmannDistCntrlNeumA2& MittelmannDistCntrlNeumA2::operator= | ( | const MittelmannDistCntrlNeumA2 & |  | ) |
| private

## Member Data Documentation

const Number MittelmannDistCntrlNeumA2::pi_
| private

Value of pi (made available for convenience)

Definition at line 553 of file MittelmannDistCntrlNeumA.hpp.

The documentation for this class was generated from the following file:

- examples/ScalableProblems/MittelmannDistCntrlNeumA.hpp